/***************************************************************************\
*																			*
*	Filename: 	Signal.h													*
*	Contains: 	Contains declaration of some signal processing routines.	*
*	Created:	19:35 2 Sep 96												*
*	Modified:	19:35 2 Sep 96												*
*	Authors:	Thorbjrn Andersson											*
*	Version:	1.0															*
*	Known bugs:	None.														*
*																			*
\***************************************************************************/

#include "Alert.h"

bool	MakeDigitReverseTable( int BitSize );
bool	MakeSineAndCosTable( int BitSize );
void	FreeSinAndCosTables();
void	CooleyTukeyFFT( float *X_Re, float *X_Im, int N);
int		DigitReverse( int digit, int M );
bool	IsRadix2( int len );
int 	CalcStageDepth( int len );
void	Unscramble( float *XR, float *XI, int N);
